Package org.apache.calcite.avatica

# Class MetaImpl.MetaPrimaryKey

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaPrimaryKey

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaPrimaryKey extends Object
Metadata describing a primary key.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`columnName`
`final short`
`keySeq`
`final String`
`pkName`
`final String`
`tableCat`
`final String`
`tableName`
`final String`
`tableSchem`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

### tableSchem

public final String tableSchem

### tableName

public final String tableName

### columnName

public final String columnName

### keySeq

public final short keySeq

### pkName

public final String pkName